Subject: bug#49592: 28.0.50; lisp-current-defun-name and non-standard defuns

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 23 Aug 2022 12:27:19 +0200

I've now reverted these changes, because they just don't work well
enough.  As I said in the commit message:

2022-08-23  Lars Ingebrigtsen  <[email-masked]>

	* lisp/emacs-lisp/lisp-mode.el (lisp-current-defun-name): Revert
	back to the old version before bug#49592.  The new approach just
	doesn't work well enough -- we don't really have the data to know
	that, say, `make-obsolete-variable' is about the second symbol and
	not the first.

So another approach is needed here.